Bug 1145050 - Nvidia Jetson TX2: Installer kernel crashes while decompressing initrd
Nvidia Jetson TX2: Installer kernel crashes while decompressing initrd
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
aarch64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: Yousaf Kaukab
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-09 10:43 UTC by Yousaf Kaukab
Modified: 2021-11-18 10:49 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousaf Kaukab 2019-08-09 10:43:16 UTC
Crash happens in lzma_main(). Kernel log:

EFI stub: Booting Linux Kernel...
EFI stub: EFI_RNG_PROTOCOL unavailable, no randomness supplied
EFI stub: Using DTB from configuration table
EFI stub: Exiting boot services and installing virtual address map...
[    0.000000] Booting Linux on physical CPU 0x0000000100 [0x411fd073]
[    0.000000] Linux version 5.2.2-1-default (geeko@buildhost) (gcc version 9.1.1 20190723 [gcc-9-branch revision 273734] (SUSE Linux)) #1 SMP Mon Jul 22 10:29:33 UTC 2019 (adfddac)
[    0.000000] Machine model: NVIDIA Jetson TX2 Developer Kit dtb:next-20190607
[    0.000000] earlycon: uart8250 at MMIO32 0x0000000003100000 (options '')
[    0.000000] printk: bootconsole [uart8250] enabled
[    0.000000] efi: Getting EFI parameters from FDT:
[    0.000000] efi: EFI v2.70 by Das U-Boot
[    0.000000] efi:  SMBIOS=0xeffd8000  MEMRESERVE=0xefdf7040 
[    0.000000] NUMA: No NUMA configuration found
[    0.000000] NUMA: Faking a node at [mem 0x0000000080000000-0x00000002771fffff]
[    0.000000] NUMA: NODE_DATA [mem 0x274e21840-0x274e22fff]
[    0.000000] Zone ranges:
[    0.000000]   DMA32    [mem 0x0000000080000000-0x00000000ffffffff]
[    0.000000]   Normal   [mem 0x0000000100000000-0x00000002771fffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000000080000000-0x00000000efdf8fff]
[    0.000000]   node   0: [mem 0x00000000efdf9000-0x00000000efdfafff]
[    0.000000]   node   0: [mem 0x00000000efdfb000-0x00000000effd3fff]
[    0.000000]   node   0: [mem 0x00000000effd4000-0x00000000efffffff]
[    0.000000]   node   0: [mem 0x00000000f0200000-0x00000002757fffff]
[    0.000000]   node   0: [mem 0x0000000275e00000-0x0000000275ffffff]
[    0.000000]   node   0: [mem 0x0000000276600000-0x00000002767fffff]
[    0.000000]   node   0: [mem 0x0000000277000000-0x00000002771fffff]
[    0.000000] Zeroed struct page in unavailable ranges: 46 pages
[    0.000000] Initmem setup node 0 [mem 0x0000000080000000-0x00000002771fffff]
[    0.000000] psci: probing for conduit method from DT.
[    0.000000] psci: PSCIv1.0 detected in firmware.
[    0.000000] psci: Using standard PSCI v0.2 function IDs
[    0.000000] psci: MIGRATE_INFO_TYPE not supported.
[    0.000000] psci: SMC Calling Convention v1.1
[    0.000000] percpu: Embedded 33 pages/cpu s94936 r8192 d32040 u135168
[    0.000000] Detected PIPT I-cache on CPU0
[    0.000000] CPU features: detected: EL2 vector hardening
[    0.000000] Speculative Store Bypass Disable mitigation not required
[    0.000000] Built 1 zonelists, mobility grouping on.  Total pages: 2022968
[    0.000000] Policy zone: Normal
[    0.000000] Kernel command line: BOOT_IMAGE=aarch64/ykaukab/tw_linux instsys.complain=0 usessh=1 sshpassword=linux network=1 install=http://download.opensuse.org/ports/aarch64/tumbleweed/repo/oss/ console=ttyS0,115200n8 earlycon=uart8250,mmio32,0x03100000
[    0.000000] printk: log_buf_len individual max cpu contribution: 32768 bytes
[    0.000000] printk: log_buf_len total cpu_extra contributions: 163840 bytes
[    0.000000] printk: log_buf_len min size: 262144 bytes
[    0.000000] printk: log_buf_len: 524288 bytes
[    0.000000] printk: early log buf free: 258728(98%)
[    0.000000] software IO TLB: mapped [mem 0xfbfff000-0xfffff000] (64MB)
[    0.000000] Memory: 2941776K/8220672K available (10812K kernel code, 2086K rwdata, 5012K rodata, 6400K init, 9454K bss, 352884K reserved, 0K cma-reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=6, Nodes=1
[    0.000000] ftrace: allocating 40569 entries in 159 pages
[    0.000000] rcu: Hierarchical RCU implementation.
[    0.000000] rcu:     RCU event tracing is enabled.
[    0.000000] rcu:     RCU restricting CPUs from NR_CPUS=480 to nr_cpu_ids=6.
[    0.000000]  Tasks RCU enabled.
[    0.000000] rcu: RCU calculated value of scheduler-enlistment delay is 10 jiffies.
[    0.000000] rcu: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=6
[    0.000000] NR_IRQS: 64, nr_irqs: 64, preallocated irqs: 0
[    0.000000] GIC: Using split EOI/Deactivate mode
[    0.000000] random: get_random_bytes called from start_kernel+0x314/0x4a8 with crng_init=0
[    0.000000] arch_timer: cp15 timer(s) running at 31.25MHz (phys).
[    0.000000] clocksource: arch_sys_counter: mask: 0xffffffffffffff max_cycles: 0xe6a171046, max_idle_ns: 881590405314 ns
[    0.000002] sched_clock: 56 bits at 31MHz, resolution 32ns, wraps every 4398046511088ns
[    0.008454] Console: colour dummy device 80x25
[    0.013133] Calibrating delay loop (skipped), value calculated using timer frequency.. 62.50 BogoMIPS (lpj=312500)
[    0.023926] pid_max: default: 32768 minimum: 301
[    0.028783] LSM: Security Framework initializing
[    0.033630] AppArmor: AppArmor initialized
[    0.041077] Dentry cache hash table entries: 1048576 (order: 11, 8388608 bytes)
[    0.050293] Inode-cache hash table entries: 524288 (order: 10, 4194304 bytes)
[    0.057792] Mount-cache hash table entries: 16384 (order: 5, 131072 bytes)
[    0.065019] Mountpoint-cache hash table entries: 16384 (order: 5, 131072 bytes)
[    0.073694] ASID allocator initialised with 32768 entries
[    0.079408] rcu: Hierarchical SRCU implementation.
[    0.085833] Tegra Revision: A02 SKU: 220 CPU Process: 0 SoC Process: 0
[    0.092788] Remapping and enabling EFI services.
[    0.097595] UEFI virtual mapping missing or invalid -- runtime services will not be available
[    0.106805] smp: Bringing up secondary CPUs ...
[    0.112403] CPU features: detected: Kernel page table isolation (KPTI)
[    0.112430] Detected PIPT I-cache on CPU1
[    0.112442] CPU features: SANITY CHECK: Unexpected variation in SYS_CTR_EL0. Boot CPU: 0x0000008444c004, CPU1: 0x0000009444c004
[    0.112451] CPU features: SANITY CHECK: Unexpected variation in SYS_ID_AA64DFR0_EL1. Boot CPU: 0x00000010305106, CPU1: 0x00000010305116
[    0.112466] CPU features: SANITY CHECK: Unexpected variation in SYS_ID_DFR0_EL1. Boot CPU: 0x00000003010066, CPU1: 0x00000003001066
[    0.112477] CPU features: Unsupported CPU feature variation detected.
[    0.112522] CPU1: Booted secondary processor 0x0000000000 [0x4e0f0030]
[    0.113340] Detected PIPT I-cache on CPU2
[    0.113351] CPU features: SANITY CHECK: Unexpected variation in SYS_CTR_EL0. Boot CPU: 0x0000008444c004, CPU2: 0x0000009444c004
[    0.113360] CPU features: SANITY CHECK: Unexpected variation in SYS_ID_AA64DFR0_EL1. Boot CPU: 0x00000010305106, CPU2: 0x00000010305116
[    0.113372] CPU features: SANITY CHECK: Unexpected variation in SYS_ID_DFR0_EL1. Boot CPU: 0x00000003010066, CPU2: 0x00000003001066
[    0.113411] CPU2: Booted secondary processor 0x0000000001 [0x4e0f0030]
[    0.114085] Detected PIPT I-cache on CPU3
[    0.114116] CPU3: Booted secondary processor 0x0000000101 [0x411fd073]
[    0.114627] Detected PIPT I-cache on CPU4
[    0.114648] CPU4: Booted secondary processor 0x0000000102 [0x411fd073]
[    0.115176] Detected PIPT I-cache on CPU5
[    0.115199] CPU5: Booted secondary processor 0x0000000103 [0x411fd073]
[    0.115274] smp: Brought up 1 node, 6 CPUs
[    0.261813] SMP: Total of 6 processors activated.
[    0.266709] CPU features: detected: 32-bit EL0 Support
[    0.272063] CPU features: detected: CRC32 instructions
[    1.100474] CPU: All CPU(s) started at EL2
[    1.104824] alternatives: patching kernel code
[    1.169997] node 0 initialised, 1231503 pages in 60ms
[    1.176535] devtmpfs: initialized
[    1.183128] Registered cp15_barrier emulation handler
[    1.188402] Registered setend emulation handler
[    1.193392] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 19112604462750000 ns
[    1.203679] futex hash table entries: 2048 (order: 5, 131072 bytes)
[    1.210392] pinctrl core: initialized pinctrl subsystem
[    1.216457] SMBIOS 3.0 present.
[    1.219731] DMI: nvidia p2771-0000/p2771-0000, BIOS 2019.07-rc4-00137-g6fefd9c475 06/14/2019
[    1.228865] NET: Registered protocol family 16
[    1.233776] audit: initializing netlink subsys (disabled)
[    1.239518] audit: type=2000 audit(0.350:1): state=initialized audit_enabled=0 res=1
[    1.247621] cpuidle: using governor ladder
[    1.251997] cpuidle: using governor menu
[    1.256169] hw-breakpoint: found 6 breakpoint and 4 watchpoint registers.
[    1.263469] DMA: preallocated 256 KiB pool for atomic allocations
[    1.270333] Serial: AMBA PL011 UART driver
[    1.289460] HugeTLB registered 1.00 GiB page size, pre-allocated 0 pages
[    1.296480] HugeTLB registered 32.0 MiB page size, pre-allocated 0 pages
[    1.303469] HugeTLB registered 2.00 MiB page size, pre-allocated 0 pages
[    1.310466] HugeTLB registered 64.0 KiB page size, pre-allocated 0 pages
[    1.325876] ACPI: Interpreter disabled.
[    1.330635] vgaarb: loaded
[    1.333702] SCSI subsystem initialized
[    1.337914] pps_core: LinuxPPS API ver. 1 registered
[    1.343082] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[    1.352614] PTP clock support registered
[    1.356791] EDAC MC: Ver: 3.0.0
[    1.360385] Registered efivars operations
[    1.365132] NetLabel: Initializing
[    1.368833] NetLabel:  domain hash size = 128
[    1.373365] NetLabel:  protocols = UNLABELED CIPSOv4 CALIPSO
[    1.379369] NetLabel:  unlabeled traffic allowed by default
[    1.385493] clocksource: Switched to clocksource arch_sys_counter
[    1.430968] VFS: Disk quotas dquot_6.6.0
[    1.435095] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    1.442651] AppArmor: AppArmor Filesystem Enabled
[    1.447596] pnp: PnP ACPI: disabled
[    1.456174] NET: Registered protocol family 2
[    1.461099] tcp_listen_portaddr_hash hash table entries: 4096 (order: 4, 65536 bytes)
[    1.469430] TCP established hash table entries: 65536 (order: 7, 524288 bytes)
[    1.477444] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[    1.485009] TCP: Hash tables configured (established 65536 bind 65536)
[    1.491947] UDP hash table entries: 4096 (order: 5, 131072 bytes)
[    1.498450] UDP-Lite hash table entries: 4096 (order: 5, 131072 bytes)
[    1.505487] NET: Registered protocol family 1
[    1.510033] NET: Registered protocol family 44
[    1.514659] PCI: CLS 0 bytes, default 64
[    1.518851] Trying to unpack rootfs image as initramfs...
[    2.029839] SError Interrupt on CPU0, code 0xbf40c000 -- SError
[    2.029842] CPU: 0 PID: 0 Comm: swapper/0 Tainted: G S                5.2.2-1-default #1 openSUSE Tumbleweed (unreleased)
[    2.029844] Hardware name: nvidia p2771-0000/p2771-0000, BIOS 2019.07-rc4-00137-g6fefd9c475 06/14/2019
[    2.029845] pstate: 60000085 (nZCv daIf -PAN -UAO)
[    2.029846] pc : arch_cpu_idle+0x34/0x1c8
[    2.029847] lr : default_idle_call+0x20/0x40
[    2.029848] sp : ffff000011643e90
[    2.029849] x29: ffff000011643e90 x28: 0000000081000018 
[    2.029852] x27: 00000000efe13de4 x26: 00000000efd77b4a 
[    2.029855] x25: 00000000efc999d0 x24: 00000000000000f0 
[    2.029857] x23: 0000000000000070 x22: ffff00001164a7b0 
[    2.029860] x21: ffff000011653000 x20: 0000000000000000 
[    2.029862] x19: ffff0000111ff018 x18: 0000000000000014 
[    2.029864] x17: 0000000000000000 x16: 00000000000003cc 
[    2.029866] x15: 000000004c0ba6ea x14: 00000000000c8000 
[    2.029868] x13: 000000000000780d x12: 0000000000000003 
[    2.029871] x11: 0000000000000000 x10: 0000000000001a40 
[    2.029873] x9 : ffff000011643e70 x8 : ffff000011654aa0 
[    2.029875] x7 : 0000000000000007 x6 : 000000cd6442f4c2 
[    2.029877] x5 : ffff8001ecb42aa8 x4 : 00008001db93b000 
[    2.029879] x3 : 0000000000000001 x2 : ffff8001ecb50d40 
[    2.029881] x1 : ffff0000111ff018 x0 : ffff000011643e90 
[    2.029887] SError Interrupt on CPU3, code 0xbf40c000 -- SError
[    2.029888] CPU: 3 PID: 0 Comm: swapper/3 Tainted: G S                5.2.2-1-default #1 openSUSE Tumbleweed (unreleased)
[    2.029890] Hardware name: nvidia p2771-0000/p2771-0000, BIOS 2019.07-rc4-00137-g6fefd9c475 06/14/2019
[    2.029891] pstate: 60000085 (nZCv daIf -PAN -UAO)
[    2.029892] pc : arch_cpu_idle+0x34/0x1c8
[    2.029893] lr : default_idle_call+0x20/0x40
[    2.029894] sp : ffff000012e53ee0
[    2.029895] x29: ffff000012e53ee0 x28: 0000000000000000 
[    2.029898] x27: 0000000000000000 x26: 0000000000000000 
[    2.029900] x25: 0000000000000000 x24: 00000000000000f0 
[    2.029902] x23: 0000000000000070 x22: ffff00001164a7b0 
[    2.029905] x21: ffff8000bee73d00 x20: 0000000000000000 
[    2.029907] x19: ffff0000111ff018 x18: 0000000000000000 
[    2.029909] x17: 0000000000000000 x16: 00000000000003c8 
[    2.029911] x15: ffff8000bee08548 x14: ffffffffffffffff 
[    2.029913] x13: ffffffff00000000 x12: 0000000000000002 
[    2.029915] x11: 0000000000000000 x10: 0000000000001a40 
[    2.029917] x9 : ffff000012e53ec0 x8 : ffff8000bee757a0 
[    2.029919] x7 : 0000000000000007 x6 : 00000006b87ece7b 
[    2.029921] x5 : 00ffffffffffffff x4 : 00008001db99e000 
[    2.029923] x3 : 0000000000000001 x2 : ffff8001ecbb3d40 
[    2.029926] x1 : ffff0000111ff018 x0 : ffff000012e53ee0 
[    2.029929] SError Interrupt on CPU4, code 0xbf40c000 -- SError
[    2.029930] CPU: 4 PID: 1 Comm: swapper/0 Tainted: G S                5.2.2-1-default #1 openSUSE Tumbleweed (unreleased)
[    2.029932] Hardware name: nvidia p2771-0000/p2771-0000, BIOS 2019.07-rc4-00137-g6fefd9c475 06/14/2019
[    2.029933] pstate: 20000005 (nzCv daif -PAN -UAO)
[    2.029934] pc : lzma_main+0x190/0x880
[    2.029935] lr : lzma_main+0x38c/0x880
[    2.029935] sp : ffff00001007bbb0
[    2.029936] x29: ffff00001007bbb0 x28: 0000000000000000 
[    2.029938] x27: 0000000000005889 x26: ffff8001ec784000 
[    2.029940] x25: 0000000800000003 x24: 0000000000000003 
[    2.029942] x23: ffff8001ec786f0c x22: ffff8001ec780028 
[    2.029945] x21: 00000000061d7619 x20: ffff8001ec780000 
[    2.029947] x19: ffff00001007bcf0 x18: 0000000000000800 
[    2.029949] x17: 0000000000000000 x16: 0000000000000000 
[    2.029951] x15: ffff8001ec780028 x14: 0000000000ffffff 
[    2.029953] x13: 0000000000000001 x12: ffff8001ec780000 
[    2.029955] x11: 0000000000000800 x10: 0000000000000000 
[    2.029957] x9 : 000000000021688f x8 : 00000000f220bc47 
[    2.029959] x7 : 0000000000000164 x6 : 0000000005241285 
[    2.029961] x5 : ffff8001ec780f0c x4 : 0000000000000000 
[    2.029963] x3 : 0000000000000000 x2 : 00000000000005e9 
[    2.029965] x1 : 0000000000000164 x0 : 00000000000005f9 
[    2.029968] Kernel panic - not syncing: Asynchronous SError Interrupt
[    2.029970] CPU: 4 PID: 1 Comm: swapper/0 Tainted: G S                5.2.2-1-default #1 openSUSE Tumbleweed (unreleased)
[    2.029971] Hardware name: nvidia p2771-0000/p2771-0000, BIOS 2019.07-rc4-00137-g6fefd9c475 06/14/2019
[    2.029972] Call trace:
[    2.029973]  dump_backtrace+0x0/0x138
[    2.029974]  show_stack+0x24/0x30
[    2.029974]  dump_stack+0xc4/0x10c
[    2.029975]  panic+0x130/0x318
[    2.029976]  __stack_chk_fail+0x0/0x28
[    2.029977]  arm64_serror_panic+0x80/0x8c
[    2.029978]  do_serror+0x134/0x138
[    2.029979]  el1_error+0x84/0xf8
[    2.029980]  lzma_main+0x190/0x880
[    2.029980]  xz_dec_lzma2_run+0x6ac/0x7f0
[    2.029981]  xz_dec_run+0x548/0x8e0
[    2.029982]  unxz+0x114/0x29c
[    2.029983]  unpack_to_rootfs+0x16c/0x278
[    2.029984]  populate_rootfs+0x70/0x130
[    2.029985]  do_one_initcall+0x50/0x238
[    2.029986]  kernel_init_freeable+0x2b4/0x360
[    2.029987]  kernel_init+0x18/0x108
[    2.029987]  ret_from_fork+0x10/0x18
[    2.029989] SError Interrupt on CPU5, code 0xbf40c000 -- SError
[    2.029991] CPU: 5 PID: 0 Comm: swapper/5 Tainted: G S                5.2.2-1-default #1 openSUSE Tumbleweed (unreleased)
[    2.029992] Hardware name: nvidia p2771-0000/p2771-0000, BIOS 2019.07-rc4-00137-g6fefd9c475 06/14/2019
[    2.029993] pstate: 60000085 (nZCv daIf -PAN -UAO)
[    2.029994] pc : arch_cpu_idle+0x34/0x1c8
[    2.029995] lr : default_idle_call+0x20/0x40
[    2.029996] sp : ffff000012e63ee0
[    2.029997] x29: ffff000012e63ee0 x28: 0000000000000000 
[    2.029999] x27: 0000000000000000 x26: 0000000000000000 
[    2.030001] x25: 0000000000000000 x24: 00000000000000f0 
[    2.030003] x23: 0000000000000070 x22: ffff00001164a7b0 
[    2.030005] x21: ffff8000bee80000 x20: 0000000000000000 
[    2.030007] x19: ffff0000111ff018 x18: 0000000000000001 
[    2.030009] x17: 0000000000000000 x16: 0000000000000338 
[    2.030011] x15: ffff8000bef423c8 x14: ffffffffffffffff 
[    2.030013] x13: ffffffff00000000 x12: 0000000000000028 
[    2.030016] x11: 0101010101010101 x10: 0000000000001a40 
[    2.030018] x9 : ffff000012e63ec0 x8 : ffff8000bee81aa0 
[    2.030020] x7 : 0000000000000000 x6 : 0000007587d42180 
[    2.030022] x5 : 00000000f32fdc00 x4 : 00008001db9e0000 
[    2.030024] x3 : 0000000000000001 x2 : ffff8001ecbf5d40 
[    2.030026] x1 : ffff0000111ff018 x0 : ffff000012e63ee0 
[    3.159238] SMP: stopping secondary CPUs
[    3.159239] SMP: failed to stop secondary CPUs 0-5
Comment 1 Yousaf Kaukab 2019-08-09 10:46:32 UTC
CPU-feature complains about unexpected variations. This could be the root cause for the crash:

[    0.112442] CPU features: SANITY CHECK: Unexpected variation in SYS_CTR_EL0. Boot CPU: 0x0000008444c004, CPU1: 0x0000009444c004
[    0.112451] CPU features: SANITY CHECK: Unexpected variation in SYS_ID_AA64DFR0_EL1. Boot CPU: 0x00000010305106, CPU1: 0x00000010305116
[    0.112466] CPU features: SANITY CHECK: Unexpected variation in SYS_ID_DFR0_EL1. Boot CPU: 0x00000003010066, CPU1: 0x00000003001066
[    0.112477] CPU features: Unsupported CPU feature variation detected.
[    0.112522] CPU1: Booted secondary processor 0x0000000000 [0x4e0f0030]
[    0.113340] Detected PIPT I-cache on CPU2
[    0.113351] CPU features: SANITY CHECK: Unexpected variation in SYS_CTR_EL0. Boot CPU: 0x0000008444c004, CPU2: 0x0000009444c004
[    0.113360] CPU features: SANITY CHECK: Unexpected variation in SYS_ID_AA64DFR0_EL1. Boot CPU: 0x00000010305106, CPU2: 0x00000010305116
[    0.113372] CPU features: SANITY CHECK: Unexpected variation in SYS_ID_DFR0_EL1. Boot CPU: 0x00000003010066, CPU2: 0x00000003001066
Comment 2 Yousaf Kaukab 2019-09-30 12:31:07 UTC
Following patch under discussion upstream: 
https://lkml.org/lkml/2019/9/29/451
Comment 3 Yousaf Kaukab 2020-05-11 08:45:38 UTC
(In reply to Mian Yousaf Kaukab from comment #2)
> Following patch under discussion upstream: 
> https://lkml.org/lkml/2019/9/29/451

One suggestion in the above thread was to use no-memory-wc, however it results in other issues with bpmp driver. e.g a crash like following:

[    7.304592] Unable to handle kernel paging request at virtual address ffff800012ace08c
[    7.312835] Mem abort info:
[    7.315735]   ESR = 0x96000061
[    7.318912]   EC = 0x25: DABT (current EL), IL = 32 bits
[    7.324442]   SET = 0, FnV = 0
[    7.327613]   EA = 0, S1PTW = 0
[    7.330877] Data abort info:
[    7.333868]   ISV = 0, ISS = 0x00000061
[    7.337852]   CM = 0, WnR = 1
[    7.340935] swapper pgtable: 4k pages, 48-bit VAs, pgdp=00000000f58a2000
[    7.347909] [ffff800012ace08c] pgd=00000002771ff003, p4d=00000002771ff003, pud=00000002771fe003, pmd=000000026bf8a003, pte=006800003004ef07
[    7.360961] Internal error: Oops: 96000061 [#1] PREEMPT SMP
[    7.366758] Modules linked in:
[    7.369936] CPU: 0 PID: 1 Comm: swapper/0 Tainted: G S                5.7.0-rc4-next-20200505 #1
[    7.379088] Hardware name: nvidia p2771-0000/p2771-0000, BIOS 2020.04-rc3 03/25/2020
[    7.387147] pstate: 00000085 (nzcv daIf -PAN -UAO BTYPE=--)
[    7.392950] pc : __memcpy+0x48/0x180
[    7.396670] lr : __tegra_bpmp_channel_write+0x68/0x70
[    7.401921] sp : ffff80001003ba10
[    7.405365] x29: ffff80001003ba10 x28: ffff0001eb1ebf38 
[    7.410897] x27: 0000000000000000 x26: 0000000000000013 
[    7.416425] x25: ffff80001003baf4 x24: 0000000000000014 
[    7.421952] x23: 0000000000000001 x22: ffff0001eb1ebe80 
[    7.427481] x21: ffff80001003bb08 x20: ffff0001eb1ebf10 
[    7.433000] x19: ffff0001e961a080 x18: 00000000000000c0 
[    7.438520] x17: 0000000000000000 x16: 00000000f771c478 
[    7.444046] x15: 00002361a9ba9a10 x14: ffff800011ded000 
[    7.449571] x13: ffff800015842000 x12: ffff800015801000 
[    7.455093] x11: 0140000000000000 x10: 0000000000000041 
[    7.460620] x9 : 0000000000000003 x8 : 00000000fffc0000 
[    7.466139] x7 : 0000000000040000 x6 : ffff800012ace08c 
[    7.471663] x5 : 0000000000000000 x4 : 000000000000000c 
[    7.477190] x3 : 00040000fffc0000 x2 : 0000000000000008 
[    7.482717] x1 : ffff80001003bb00 x0 : ffff800012ace088 
[    7.488243] Call trace:
[    7.490781]  __memcpy+0x48/0x180
[    7.494134]  tegra_bpmp_transfer+0x128/0x370
[    7.498572]  tegra_bpmp_init_debugfs+0xe8/0x1a8
[    7.503280]  tegra_bpmp_probe+0x2fc/0x320
[    7.507455]  platform_drv_probe+0x50/0xa0
[    7.511623]  really_probe+0xd4/0x318
[    7.515337]  driver_probe_device+0x54/0xb0
[    7.519599]  device_driver_attach+0x6c/0x78
[    7.523949]  __driver_attach+0x54/0xd0
[    7.527847]  bus_for_each_dev+0x6c/0xc0
[    7.531837]  driver_attach+0x20/0x28
[    7.535552]  bus_add_driver+0x140/0x1e8
[    7.539543]  driver_register+0x60/0x110
[    7.543537]  __platform_driver_register+0x44/0x50
[    7.548437]  tegra_bpmp_driver_init+0x18/0x20
[    7.552972]  do_one_initcall+0x50/0x190
[    7.556964]  kernel_init_freeable+0x1cc/0x23c
[    7.561502]  kernel_init+0x10/0x100
[    7.565128]  ret_from_fork+0x10/0x18
[    7.568845] Code: b8404423 b80044c3 36180064 f8408423 (f80084c3) 
[    7.575193] ---[ end trace 7b94fc879e9d6b70 ]---
[    7.579994] note: swapper/0[1] exited with preempt_count 1
[    7.585708] Kernel panic - not syncing: Attempted to kill init! exitcode=0x0000000b
[    7.593683] SMP: stopping secondary CPUs
[    7.597774] Kernel Offset: 0xc0000 from 0xffff800010000000
[    7.603481] PHYS_OFFSET: 0x80000000
[    7.607106] CPU features: 0x490002,21806000
[    7.611456] Memory Limit: none
[    7.614635] ---[ end Kernel panic - not syncing: Attempted to kill init! exitcode=0x0000000b ]---
Comment 4 Yousaf Kaukab 2020-05-11 08:49:15 UTC
Started another discussion thread:
https://lkml.org/lkml/2020/5/8/278
Comment 5 Yousaf Kaukab 2021-07-23 07:58:57 UTC
https://lkml.org/lkml/2021/7/15/407
Comment 6 Yousaf Kaukab 2021-11-18 10:49:00 UTC
Fixed by following commit upstream (v5.15):
fec29bf04994 misc: sram: Only map reserved areas in Tegra SYSRAM